Subject: Re: bug#22936: 25.0.90; standard-display-table poor match for multi-tty/multi-display/daemon usage

From: Eli Zaretskii <[email-masked]>
Date: Tue, 08 Mar 2016 18:29:36 +0200

> From: Ken Raeburn <[email-masked]>
> Date: Mon, 07 Mar 2016 20:34:40 -0500
> 
> If I start Emacs in tty mode and then use make-frame-on-display, the X11
> frame uses straight quotes again.
> 
> When I start Emacs in daemon mode and then create an X11 frame, buffers
> (newly loaded or restored via desktop mode) with curly quotes display
> those quotes as straight quotes, even though the display is capable of
> displaying curly quotes. (I assume the undisplayed initial frame is
> considered incapable of displaying them.)
> 
> If I start Emacs on the X11 display directly, the quotes are displayed
> properly.
> 
> Poking around, I find standard-display-table is set to a table with a
> few entries in it, and if I set it to nil, curly quotes get used again.
> 
> The ability to display them is an attribute of the X11 display or the
> frame; it shouldn't be set globally based on the initial frame.

We lack infrastructure for this: we need terminal-specific display
tables, so that each window on every frame of that terminal will
automatically have a display table set up for it, while windows on
other terminals won't.

Would you like to work on adding such a feature?